// Written by Dmitri Zaykin
// g++ perm.cpp -o perm.x -Wall -O3
#include <iostream>
#include <vector>
#include <algorithm>
#include <unistd.h>
#include "marsa.h"
using namespace std;

int main(int, char **av) {
  unsigned long s1 = atol(av[1]), s2=getpid(), s3=time(0);
  unsigned long s = s1*s2*s3;
  Rndm rn (s);
  double y;
  vector <double> d;
  while(cin >> y) d.push_back(y);
  random_shuffle(d.begin(), d.end(), rn);
  for(size_t i=0; i<d.size(); i++) cout << d[i] << "\n";
}
